Decode License Plate
curl --request POST \
--url https://api.aisa.one/apis/v1/carsxe/decode-license-plate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"plate": "7XER187",
"state": "CA",
"country": "US",
"require_vin": false
}
'import requests
url = "https://api.aisa.one/apis/v1/carsxe/decode-license-plate"
payload = {
"plate": "7XER187",
"state": "CA",
"country": "US",
"require_vin": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({plate: '7XER187', state: 'CA', country: 'US', require_vin: false})
};
fetch('https://api.aisa.one/apis/v1/carsxe/decode-license-plate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/carsxe/decode-license-plate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'plate' => '7XER187',
'state' => 'CA',
'country' => 'US',
'require_vin' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/carsxe/decode-license-plate"
payload := strings.NewReader("{\n \"plate\": \"7XER187\",\n \"state\": \"CA\",\n \"country\": \"US\",\n \"require_vin\": false\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/carsxe/decode-license-plate")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"plate\": \"7XER187\",\n \"state\": \"CA\",\n \"country\": \"US\",\n \"require_vin\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/carsxe/decode-license-plate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"plate\": \"7XER187\",\n \"state\": \"CA\",\n \"country\": \"US\",\n \"require_vin\": false\n}"
response = http.request(request)
puts response.read_body{
"input": {
"plate": "<string>",
"state": "<string>",
"country": "<string>",
"district": "<string>",
"require_vin": true
},
"success": true,
"vin": "<string>",
"make": "<string>",
"trim": "<string>",
"year": "<string>",
"color": "<string>",
"model": "<string>",
"style": "<string>",
"assembly": "<string>",
"fuel_type": "<string>",
"body_style": "<string>",
"drive_type": "<string>",
"description": "<string>",
"engine_size": "<string>",
"transmission": "<string>"
}CarsXE
Decode License Plate
<!-- aisa-pricing:start -->
当前未提供请求参考价格;请使用接口支持的报价功能确认费用。 声明的单位费率:每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。
<!-- aisa-pricing:end -->
POST
https://api.aisa.one
/
apis
/
v1
/
carsxe
/
decode-license-plate
Decode License Plate
curl --request POST \
--url https://api.aisa.one/apis/v1/carsxe/decode-license-plate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"plate": "7XER187",
"state": "CA",
"country": "US",
"require_vin": false
}
'import requests
url = "https://api.aisa.one/apis/v1/carsxe/decode-license-plate"
payload = {
"plate": "7XER187",
"state": "CA",
"country": "US",
"require_vin": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({plate: '7XER187', state: 'CA', country: 'US', require_vin: false})
};
fetch('https://api.aisa.one/apis/v1/carsxe/decode-license-plate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/carsxe/decode-license-plate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'plate' => '7XER187',
'state' => 'CA',
'country' => 'US',
'require_vin' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/carsxe/decode-license-plate"
payload := strings.NewReader("{\n \"plate\": \"7XER187\",\n \"state\": \"CA\",\n \"country\": \"US\",\n \"require_vin\": false\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/carsxe/decode-license-plate")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"plate\": \"7XER187\",\n \"state\": \"CA\",\n \"country\": \"US\",\n \"require_vin\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/carsxe/decode-license-plate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"plate\": \"7XER187\",\n \"state\": \"CA\",\n \"country\": \"US\",\n \"require_vin\": false\n}"
response = http.request(request)
puts response.read_body{
"input": {
"plate": "<string>",
"state": "<string>",
"country": "<string>",
"district": "<string>",
"require_vin": true
},
"success": true,
"vin": "<string>",
"make": "<string>",
"trim": "<string>",
"year": "<string>",
"color": "<string>",
"model": "<string>",
"style": "<string>",
"assembly": "<string>",
"fuel_type": "<string>",
"body_style": "<string>",
"drive_type": "<string>",
"description": "<string>",
"engine_size": "<string>",
"transmission": "<string>"
}请求规范
- 方法与路径: POST /apis/v1/carsxe/decode-license-plate
- 可用状态: enabled
- 请求 URL 模板:
https://api.aisa.one/apis/v1/carsxe/decode-license-plate - Runtime 事实版本: a11ac71cac6d1d02a98d1e475ace62f7d124b62c3ad8fcbb0485f9ddeab9314d
{
"operationId": "carsxe.decode-license-plate",
"method": "POST",
"path": "/apis/v1/carsxe/decode-license-plate",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [],
"security": [
{
"bearerAuth": []
}
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"plate": {
"minLength": 1,
"type": "string",
"description": "License plate text exactly as displayed, without adding separators.",
"examples": [
"7XER187"
]
},
"state": {
"minLength": 1,
"type": "string",
"description": "State or regional code; required for US, AU, CA, and PK lookups.",
"examples": [
"CA"
]
},
"country": {
"enum": [
"US"
],
"pattern": "^[A-Za-z]{2}$",
"type": "string",
"description": "ISO 3166-1 alpha-2 country code."
},
"district": {
"type": "string",
"minLength": 1,
"description": "District required for Pakistan Khyber-Pakhtunkhwa registrations. This regional variant is officially documented but not live-verified."
},
"require_vin": {
"enum": [
false
],
"type": "boolean",
"description": "For Spain only, require a VIN in the result. This doubles the price."
}
},
"required": [
"country",
"plate",
"require_vin",
"state"
]
}
}
}
},
"x-aisa-status": "enabled",
"x-aisa-pricing": {
"cost_contract": "response_units",
"customer_multiplier": 1.0,
"customer_pricing": "provider_cost_multiplier",
"estimate_source": "unavailable",
"estimate_unavailable_reason": "reference_request_unavailable",
"evidence_source": "response_body",
"maximum_units": 10000000,
"unit": "provider_credit",
"unit_rate_usd": 1e-06
},
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
费用与请求规则
当前未提供请求参考价格;请使用接口支持的报价功能确认费用。 声明的单位费率:每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。 公开参考值不是你的账户报价或最终扣费。对于支持 X-AISA-Cost-Mode: quote 的接口,执行前请针对完整请求获取免费报价;执行后通过响应费用元数据和 Usage Logs 核对结算费用。1 USD 等于 1,000,000 个整数 micro-USD。- 声明的单位费率(USD): 1e-06
- 计费单位: provider_credit
- 计费依据: response_units
- 公开参考倍率: 1.0
- 声明的最大计数或单位数: 10000000
- 结算证据来源: response_body
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求体
application/json
License plate text exactly as displayed, without adding separators.
Minimum string length:
1示例:
"7XER187"
State or regional code; required for US, AU, CA, and PK lookups.
Minimum string length:
1示例:
"CA"
ISO 3166-1 alpha-2 country code.
可用选项:
US Pattern:
^[A-Za-z]{2}$For Spain only, require a VIN in the result. This doubles the price.
可用选项:
false District required for Pakistan Khyber-Pakhtunkhwa registrations. This regional variant is officially documented but not live-verified.
Minimum string length:
1